无法使用Google API在Android Studio中的模拟器中查找系统映像

我想在安装了Google API的模拟器系统映像中运行。 我下载了API版本19的系统映像(等等)。 当我在Android Studio中启动一个新的AVD时,对于API = 19,我没有看到带有Google API的图像。 它应该在那里,因为我使用SDKpipe理器下载它(请参阅下面的屏幕截图)。

我错过了什么吗?

在这里输入图像说明

请参阅AVD Manager中的以下屏幕,其中显示Kitkat没有Google API的图像。

在这里输入图像说明

  • Eclipse插件和创build项目菜单中API集成的ADT修改
  • 如何在Android上以编程方式安全地移除SD卡
  • Android Place Picker在发布后立即closures
  • 如何读取Android设备上的CPU频率
  • 将Google Maps API v2添加到现有项目
  • 在Android中使用Place picker google APIselect匿名位置的位置时,禁用selectbutton
  • 使用服务帐户validationGoogle InAppPurchase
  • 从API级别11开始,通过adb shell设置剪贴板文本
  • 不幸的是,KitKat系统映像显示的目标似乎存在问题。 您可以在此屏幕截图中看到,使用API​​ 19和Google API创buildAVD是完全可能的:

    在这里输入图像说明

    要使用API​​ 19和Google API创buildAVD,请务必使用Android版本4.4 Google Inc.select系统映像

    在这里输入图像说明

    如果您使用Android版本4.4 Android开放源代码项目select系统映像,则将创build不带Google API的标准AVD。

    在这里输入图像说明

    请尝试下面的解决scheme,它为我工作。

    如果你不能在模拟器中的Android Studio中find系统映像,那么转到你的Android Studio中使用的Android SDK,如C:\ Users \ MB \ AppData \ Local \ Android \ sdk \ android-sdk,然后打开AVD Manager。

    打开AVD Manager后创build新的AVD并启动这个新创build的AVD。

    当您下次打开AVD Manager时,您的部署目标以及您的Android Studio AVDpipe理器中都可以使用此AVD。

    另外,检查它的截图。

    在这里输入图像说明

    在这里输入图像说明

    在这里输入图像说明

    只需更新SDKpipe理器中的所有软件包并重新启动即可。 它为我工作。